<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">


    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_8"
            android:padding="@dimen/dp_8"
            android:src="@drawable/fanhui_b"
            tools:ignore="ContentDescription,UseAppTint" />


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivDelete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="@dimen/dp_8"
            android:padding="@dimen/dp_8"
            android:src="@drawable/delete_b"
            tools:ignore="ContentDescription,UseAppTint" />
    </FrameLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flTop"
        app:layout_constraintVertical_bias="0.0"
        tools:ignore="ContentDescription"
        tools:layout_editor_absoluteX="0dp" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.4"
        tools:ignore="ContentDescription">

        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="30dp"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/iv_bofang"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:clickable="true"
            android:focusable="true"
            android:src="@drawable/bofang"
            android:visibility="invisible"
            tools:ignore="SpeakableTextPresentCheck" />
    </LinearLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="@dimen/dp_345"
        android:layout_height="wrap_content"
        android:layout_marginBottom="30dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="15dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/ll"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="18dp"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/tv_restore"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/tv_path"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/black"
                    android:textSize="14sp"
                    tools:text="1721110745805_Trash_Screenshot_2024-07-16-14-07-233_00m.miui.ho" />

                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    tools:text="1MB" />

                <TextView
                    android:id="@+id/tv_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="9dp"
                    android:textColor="#999999"
                    android:textSize="14sp"
                    tools:text="2024/07/16" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_restore"
                android:layout_width="98dp"
                android:layout_height="45dp"
                android:layout_marginEnd="15dp"
                android:background="@drawable/bg_328ef6_38"
                android:gravity="center"
                android:text="Restore"
                android:textColor="@color/white"
                android:textSize="15sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

    <View
        android:id="@+id/v"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white" />


</androidx.constraintlayout.widget.ConstraintLayout>